Bug 806768 - -qmp stdio is unusable
-qmp stdio is unusable
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Pavel Hrdina
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2012-03-26 04:02 EDT by Kevin Wolf
Modified: 2013-02-21 02:33 EST (History)
8 users (show)

See Also:
Fixed In Version: qemu-kvm-
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-21 02:33:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin Wolf 2012-03-26 04:02:19 EDT
For debugging stuff it's useful to have a QMP monitor on stdio and drive it manually. In RHEL, however, you have to type blindly then. Upstream at least echoes whatever you typed, which makes it a lot more usable, so backporting these patches would be very helpful.

Bonus points for implementing a readline-like interface as we already have it for HMP with -monitor stdio.
Comment 1 Pavel Hrdina 2012-05-30 09:11:09 EDT
I have just sent a patch to upstream. There will be used the readline functionality for qmp on stdio as it is used for hmp on stdio. After it will be approved and committed to upstream, I'll send patch for rhel.
Comment 2 Pavel Hrdina 2012-05-30 14:36:52 EDT
For now into RHEL will be backported the echo functionality from upstream. If the readline mode will be accepted in upstream then we could backport it too.
Comment 8 Chao Yang 2012-12-06 22:44:15 EST
---Reproduced on qemu-kvm-
1. start a QMP monitor on stdio by:
# /usr/libexec/qemu-kvm -qmp stdio
2. send {"execute":"qmp_capabilities"}

Actual Result:
# /usr/libexec/qemu-kvm -qmp stdio
VNC server running on `::1:5900'
{"QMP": {"version": {"qemu": {"micro": 1, "minor": 12, "major": 0}, "package": "(qemu-kvm-"}, "capabilities": []}}
{"return": {}}  <--- without echoing {"execute":"qmp_capabilities"}

---Verified on qemu-kvm- with same steps described above.
Actual Result:
# /usr/libexec/qemu-kvm -qmp stdio
VNC server running on `::1:5900'
{"QMP": {"version": {"qemu": {"micro": 1, "minor": 12, "major": 0}, "package": "(qemu-kvm-"}, "capabilities": []}}
{"execute":"qmp_capabilities"} <---echoing {"execute":"qmp_capabilities"}
{"return": {}}

As per above, this issue has been fixed correctly.
Comment 10 errata-xmlrpc 2013-02-21 02:33:21 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.